Bug 496903 - Setacl not working over NFS.
Setacl not working over NFS.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Staubach
Red Hat Kernel QE team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 11:29 EDT by Sachin Prabhu
Modified: 2011-12-26 03:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (438 bytes, patch)
2009-04-21 14:58 EDT, Peter Staubach
no flags Details | Diff

  None (edit)
Description Sachin Prabhu 2009-04-21 11:29:28 EDT
Patch to fix problem in bz 479432 results in a regression. The original problem reported where a large number of acl requests results in the client crashing was fixed. However normal setfacl requests which were working before now return with -EINVAL. 

This is reported at
http://thread.gmane.org/gmane.linux.nfs/25999

A one line patch has been sent to upstream kernel list by Trond
http://lkml.org/lkml/2009/4/20/373
Comment 1 Sachin Prabhu 2009-04-21 11:36:54 EDT
[root@vm21 nfstest]# uname -a
Linux vm21 2.6.18-138.el5 #1 SMP Fri Apr 3 18:07:22 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@vm21 ~]# cd /nfstest/
[root@vm21 nfstest]# grep nfstest /proc/mounts
vm23:/nfs3_test /nfstest nfs rw,vers=3,rsize=32768,wsize=32768,hard,proto=tcp,timeo=600,retrans=2,sec=sys,addr=vm23 0 0
[root@vm21 nfstest]# touch a
[root@vm21 nfstest]# getfacl a
# file: a
# owner: 65534
# group: 65534
user::rw-
group::r--
other::r--
[root@vm21 nfstest]# setfacl -m m::rx a
setfacl: a: Invalid argument
Comment 3 Peter Staubach 2009-04-21 14:58:37 EDT
Created attachment 340608 [details]
Proposed patch
Comment 4 RHEL Product and Program Management 2009-04-21 15:08:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-05-06 13:18:08 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 errata-xmlrpc 2009-09-02 05:02:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.